Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.topic
Class DistributedTopic

    java.lang.Object
      org.jboss.messaging.core.local.Topic
          org.jboss.messaging.core.distributed.topic.DistributedTopic

All Implemented Interfaces:
  CoreDestination, Distributed, Distributor, Receiver

public class DistributedTopic
extends Topic
implements Distributed

A distributed topic.

Version:
  `$Revision: 1.13 $` $Id: DistributedTopic.java,v 1.13 2006/03/08 16:29:45 timfox Exp $
Author:
  Ovidiu Feodorov

Field Summary
`protected MessageStore` | `ms`
`protected org.jboss.messaging.core.distributed.topic.TopicPeer` | `peer`
`protected PersistenceManager` | `pm`
`protected ViewKeeper` | `viewKeeper`

Fields inherited from class org.jboss.messaging.core.local.Topic
`destinationId, router`

Constructor Summary
`DistributedTopic(java.lang.String name, MessageStore ms, PersistenceManager pm, RpcDispatcher dispatcher)`

Method Summary
`java.util.List` | `browse()` List of Messages in process of being delivered (for which this peer didn't get an acknowledgment) or partially rejected/cancelled by some peers from the view in which it was sent.
`void` | `close()`
`Peer` | `getPeer()`
`java.util.Iterator` | `iterator()`
`void` | `join()` Connects this peer to the distributed destination.
`void` | `leave()` Stops this peer and disconnects it from the distributed destination.
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.messaging.core.local.Topic
`add, clear, contains, getDownCacheSize, getFullSize, getId, getPageSize, handle, isQueue, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### peer

    protected org.jboss.messaging.core.distributed.topic.TopicPeer peer

### viewKeeper

    protected ViewKeeper viewKeeper

### pm

    protected PersistenceManager pm

### ms

    protected MessageStore ms

Constructor Detail

### DistributedTopic

    public DistributedTopic(java.lang.String name,
                            MessageStore ms,
                            PersistenceManager pm,
                            RpcDispatcher dispatcher)

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `Distributor`
  Overrides:
    `iterator` in class `Topic`

### join

    public void join()
              throws DistributedException

  Description copied from interface: `Distributed`
  Connects this peer to the distributed destination.

  Specified by:
    `join` in interface `Distributed`
  Throws:
    `DistributedException` - - a wrapper for exceptions thrown by the distributed layer.

### leave

    public void leave()
               throws DistributedException

  Description copied from interface: `Distributed`
  Stops this peer and disconnects it from the distributed destination.

  Specified by:
    `leave` in interface `Distributed`
  Throws:
    `DistributedException` - - a wrapper for exceptions thrown by the distributed layer.

### close

    public void close()
               throws DistributedException

  Specified by:
    `close` in interface `Distributed`
  Throws:
    `DistributedException`

### getPeer

    public Peer getPeer()

  Specified by:
    `getPeer` in interface `Distributed`

### browse

    public java.util.List browse()

  List of Messages in process of being delivered (for which this peer didn't get an acknowledgment) or partially rejected/cancelled by some peers from the view in which it was sent. TODO: i am not sure this method belongs here. Review.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Topic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.